# ISPdata
Date: 2018-01-28

data

## Class ISPdata

- java.lang.Object
- - data.ISPdata

    public class ISPdata
    extends java.lang.Object

### Field Summary

Fields
`private java.lang.String` `creationDate`
`private java.lang.String` `description`
`private java.lang.String` `email`
`private Server[]` `ircChan`
`private java.lang.String` `joinDate`
`private int` `membersCount`
`private int` `progressStatus`
`private java.lang.String` `shortname`
`private int` `subscribersCount`
`private java.lang.String` `website`

### Constructor Summary

Constructors
Constructor and Description
`ISPdata(org.json.JSONObject jo)`
`ISPdata(java.lang.String shortName, java.lang.String website, java.lang.String description, Server[] chatrooms, int progressStatus, int membersCount, int subscribersCount, java.lang.String email, java.lang.String creationDate, java.lang.String joinDate)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `emailSyntaxer()` Transforme l'addresse mail.
`java.lang.String` `getCreationDate()`
`java.lang.String` `getDescription()`
`java.lang.String` `getEmail()`
`private int` `getInt(org.json.JSONObject jo, java.lang.String key)`
`private int` `getInt(org.json.JSONObject jo, java.lang.String key, int DEFAULT)`
`Server[]` `getIrcChan()`
`java.lang.String` `getJoinDate()`
`int` `getMembersCount()`
`int` `getProgressStatus()`
`java.lang.String` `getShortname()`
`private java.lang.String` `getString(org.json.JSONObject jo, java.lang.String key)`
`private java.lang.String` `getString(org.json.JSONObject jo, java.lang.String key, java.lang.String DEFAULT)`
`int` `getSubscribersCount()`
`java.lang.String` `getWebsite()`
`boolean` `hasShortName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### shortname

    private java.lang.String shortname

#### website

    private java.lang.String website

#### description

    private java.lang.String description

#### ircChan

    private Server[] ircChan

#### progressStatus

    private int progressStatus

#### membersCount

    private int membersCount

#### subscribersCount

    private int subscribersCount

#### email

    private java.lang.String email

#### creationDate

    private java.lang.String creationDate

#### joinDate

    private java.lang.String joinDate

### Constructor Detail

#### ISPdata

    public ISPdata(java.lang.String shortName,
                   java.lang.String website,
                   java.lang.String description,
                   Server[] chatrooms,
                   int progressStatus,
                   int membersCount,
                   int subscribersCount,
                   java.lang.String email,
                   java.lang.String creationDate,
                   java.lang.String joinDate)

#### ISPdata

    public ISPdata(org.json.JSONObject jo)

### Method Detail

#### getInt

    private int getInt(org.json.JSONObject jo,
                       java.lang.String key,
                       int DEFAULT)

#### getInt

    private int getInt(org.json.JSONObject jo,
                       java.lang.String key)

#### getString

    private java.lang.String getString(org.json.JSONObject jo,
                                       java.lang.String key,
                                       java.lang.String DEFAULT)

#### getString

    private java.lang.String getString(org.json.JSONObject jo,
                                       java.lang.String key)

#### getWebsite

    public java.lang.String getWebsite()

#### getDescription

    public java.lang.String getDescription()

#### getIrcChan

    public Server[] getIrcChan()

#### getEmail

    public java.lang.String getEmail()

#### getProgressStatus

    public int getProgressStatus()

#### getMembersCount

    public int getMembersCount()

#### getSubscribersCount

    public int getSubscribersCount()

#### getCreationDate

    public java.lang.String getCreationDate()

#### getJoinDate

    public java.lang.String getJoinDate()

#### hasShortName

    public boolean hasShortName()

#### getShortname

    public java.lang.String getShortname()

#### emailSyntaxer

    public java.lang.String emailSyntaxer()

Transforme l'addresse mail. Si l'adresse est a null, alors renvoie la chaine vide a la place.

Returns:
  L'adresse Email modifiée pour ne pas être en clair.